Retrieves all the locations
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
location| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
|
| _parent_id |
Reference to a parent location |
globally unique identifier | |
| _parent_reference_back_office |
Embedded entity "location" for parent location using ERP PK when adding/updating location |
string | |
| _parent_location |
Embedded entity "location" for parent location when adding/updating location |
location | |
| project_status_id |
Foreign key to project_status_id |
globally unique identifier | |
| company_id |
The company owner of this location |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating location |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating location |
company |
Optionally required : company_id, company_code or company must be provided |
| name |
Name of the location |
string |
Required Max length: 50 |
| extra_information |
extra_information |
string |
Max length: 255 |
| reference_back_office |
The Id/Ref of the back office for this location. Used by Embedded entity |
string |
Max length: 255 |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string |
Max length: 50 |
|
Email address |
string |
Max length: 250 |
|
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| latitude_decimal |
Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| longitude_decimal |
Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| contact_id |
Foreign key of contact for this location |
globally unique identifier | |
| contact_reference_back_office |
Foreign key of contact for this location. If you don't know the GUID, use contact_reference_back_office |
string | |
| contact |
Embedded entity "contact" when adding/updating location |
contact | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| id2 |
Internal ID (numeric). Will be used if reference_back_office is empty |
integer |
Response Formats
application/json, text/json
{
"id": "3c014721-2c39-4bb7-99cb-7f5f51212bc2",
"_parent_id": "5f15793e-672d-4a40-9e61-bccfeb045b61",
"_parent_reference_back_office": "sample string 3",
"project_status_id": "ae76c186-944d-45c8-a423-9dc56fecdccd",
"company_id": "e0d85573-d730-4447-be90-0810b4bab2cb",
"company_code": "sample string 6",
"name": "sample string 7",
"extra_information": "sample string 8",
"reference_back_office": "sample string 9",
"street": "sample string 10",
"street_number": "sample string 11",
"zip": "sample string 12",
"city": "sample string 13",
"phone": "sample string 14",
"email": "sample string 15",
"db_country_id": "de42312e-176c-456a-b286-9a04832fb7cc",
"db_country_code": "sample string 17",
"street2": "sample string 18",
"latitude_decimal": 1.0,
"longitude_decimal": 1.0,
"contact_id": "94743698-6944-4c2b-bbdc-a53903af4485",
"contact_reference_back_office": "sample string 20",
"contact": {
"id": "d597dee3-90b4-4bb4-ba2d-57390b17e26f",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "8e240ac1-0a6a-43c2-87b7-2312538a59cc",
"company_code": "sample string 5",
"company": {
"id": "34e07955-5231-461f-8fc9-94dbcc563f71",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-18T17:47:10.117324+00:00",
"sales_territory_id": "4287ca64-aa56-401d-820a-8c45d0a210e2",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "03f8d060-a8d3-4fa4-a9f9-a1f11d9fe105",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "bce806ee-332e-423d-9e49-f080b8bdd311",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "813d7cda-1bf6-4ee2-9ab5-3f56b0dcbe70",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "f321ecfb-00e7-4d7c-a2fd-7efbda9a8027",
"db_currency_id": "d014acfc-dd08-4192-8ea1-93f3cd72e96a",
"db_language_id": "cb4499c5-6213-479b-9a38-c30c9e7465e9",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-18T17:47:10.1329549+00:00"
},
"modified_dateutc": "2026-10-18T17:47:10.1329549+00:00"
},
"marketing_segment_id": "54c63f21-13ac-49cc-9762-455e76b76796",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "eb56c2a2-4437-4613-ac97-4e4435550658",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "b3f40ad7-502d-470a-b999-3b4dbe1f2a33",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "6b985e6c-dac8-4528-9513-ba434b4100b4",
"db_country_code": "sample string 28",
"feelist_id": "772eaccc-4090-4dbf-a3bc-0ae635d84c56",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "8e257b9a-7952-4563-bb27-03579e37f757",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "ee46c6cb-1034-434f-b689-53babb0d3770",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-18T17:47:10.1329549+00:00",
"db_currency_id": "662aa024-111e-485b-9fef-2879325f5649",
"db_currency_code": "sample string 10"
},
"company_type_id": "a77e26d8-33e8-41dd-b554-f710130c4a46",
"company_type_name": "sample string 32",
"company_type": {
"id": "6cafaa29-a0d5-4a00-a70f-3a410f4a97bc",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "22268f86-b747-43a0-9a4e-7509f8b9cbf5",
"sales_organization_code": "sample string 5"
},
"db_language_id": "ab109dd8-b519-4ca9-b3dc-c91e5b5a8006",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "e74d5122-3c38-430c-b0cd-d0aa3b2b272c",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "17bebf9a-c445-4196-bc44-c4af0fa77f1d",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "50a9a948-dc2f-420d-af2a-5a05e019c1cd",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-18T17:47:10.1329549+00:00"
},
"company_sector_id": "aa0f15fd-0618-484b-a13b-f41c4c264421",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "fc71a8f8-5da1-4c33-9502-3ed8e98a87eb",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "18287265-388b-4506-a056-d7d0e5f47dd3",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "4e583a3c-6a46-41a6-986a-7f4f7f7ee506",
"account_manager_user_code": "sample string 56",
"company_status_id": "a88fef79-d73f-4ef0-8f3f-a0452834574d",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-18T17:47:10.1329549+00:00",
"id2": 60
},
"db_language_id": "dd3fb62e-d619-46fd-a233-20b3011dc355",
"db_language_code": "sample string 7",
"db_title_id": "76065dcb-efed-4bfd-9fdb-0752376051fe",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-18T17:47:10.1329549+00:00",
"create_date": "2026-10-18T17:47:10.1329549+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-18T17:47:10.1329549+00:00"
},
"modified_dateutc": "2026-10-18T17:47:10.1329549+00:00",
"id2": 22
}